Bug 194488 - [PATCH] devel/py-freebsd: fix build on HEAD
Summary: [PATCH] devel/py-freebsd: fix build on HEAD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-20 14:55 UTC by Dmitry Marakasov
Modified: 2014-11-29 15:37 UTC (History)
1 user (show)

See Also:


Attachments
py-freebsd-0.9.3.patch (2.50 KB, patch)
2014-10-20 14:55 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-10-20 14:55:16 UTC
Created attachment 148505 [details]
py-freebsd-0.9.3.patch

- Fix build on HEAD: remove support for IFF_SMART flag which was removed
- Switch to USES=python

Port maintainer (python@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)
Comment 1 Dmitry Marakasov freebsd_committer 2014-11-23 14:12:31 UTC
Committed.
Comment 2 commit-hook freebsd_committer 2014-11-23 14:36:25 UTC
A commit references this bug:

Author: amdmi3
Date: Sun Nov 23 14:35:39 UTC 2014
New revision: 373154
URL: https://svnweb.freebsd.org/changeset/ports/373154

Log:
  - Fix build on CURRENT

  PR:		194488
  Submitted by:	amdmi3
  Approved by:	maitainer timeout

Changes:
  head/devel/py-freebsd/Makefile
  head/devel/py-freebsd/files/freebsd11_patch-src__.const.def
  head/devel/py-freebsd/files/freebsd11_patch-src__netstat.c
Comment 3 commit-hook freebsd_committer 2014-11-29 15:37:01 UTC
A commit references this bug:

Author: amdmi3
Date: Sat Nov 29 15:36:17 UTC 2014
New revision: 373632
URL: https://svnweb.freebsd.org/changeset/ports/373632

Log:
  MFH: r373154

  - Fix build on CURRENT

  PR:		194488
  Submitted by:	amdmi3
  Approved by:	maitainer timeout
  Approved by:	ports-secteam (rea)

Changes:
_U  branches/2014Q4/
  branches/2014Q4/devel/py-freebsd/Makefile
  branches/2014Q4/devel/py-freebsd/files/freebsd11_patch-src__.const.def
  branches/2014Q4/devel/py-freebsd/files/freebsd11_patch-src__netstat.c